<?php
/************************************************************************
 * This file is part of Windows Image Gallery.				*
 *									*
 * Windows Image Gallery is free software:				*
 * you can redistribute it and/or modify				*
 * it under the terms of the GNU General Public License as published by	*
 * the Free Software Foundation, either version 3 of the License, or	*
 * (at your option) any later version.					*
 *									*
 * Windows Image Gallery is distributed in the hope that it will be	*
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty	*
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the	*
 * GNU General Public License for more details.				*
 *									*
 * You should have received a copy of the GNU General Public License	*
 * along with Windows Image Gallery.					*
 * If not, see <http://www.gnu.org/licenses>.				*
 ************************************************************************/

$dir = opendir('./wallpapers');

// Haal de gegevens uit dir
?><div id="divte" style="position:absolute; right:20; bottom:20;"><p>Powered by <a class="copyright" href="http://www.friendsinwar.com">Windows Image Gallery v1.1</a> © 2012 Friends in War</p></div><?php
while(false !== ($file = readdir($dir))) 
{
    if(($file !== ".") && ($file !== "..")) 
    {
        list($filename, $ext) = explode(".", $file);
        $ext = strtolower($ext);
        if(($ext == "jpg") || ($ext == "png") || ($ext == "gif"))
        {
            $afbeelding[] = $file;
        }
    }
}
closedir($dir);

// Telt aantal afbeeldingen in map en maakt een random getal uit dat aantal.
$aantal = count($afbeelding) - 1;
$rand = mt_rand(0, $aantal);
?>